Bug 88153 - FILEOPEN RTF Character set discrepancy with DOC filter
Summary: FILEOPEN RTF Character set discrepancy with DOC filter
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:rtf
Depends on:
Blocks: RTF-Character
  Show dependency treegraph
 
Reported: 2015-01-07 12:47 UTC by Urmas
Modified: 2018-10-06 02:51 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Files (2.57 KB, application/x-zip)
2015-01-07 12:47 UTC, Urmas
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2015-01-07 12:47:58 UTC
Created attachment 111908 [details]
Files

These two files are the same document. While the DOC filter can import the Cyrillic text correctly, the RTF one cannot.
Comment 1 Robinson Tryon (qubit) 2015-01-12 09:23:15 UTC
TESTING on Ubuntu 14.04 + LO 4.4.0.2

(In reply to Urmas from comment #0)
> Created attachment 111908 [details]
> Files
> 

Urmas: For small files that don't go over the upload limit, please just upload them directly.
- This makes it easier to see what attachments/files are available
- That allows our automatic testing system to download and test the file against current builds (avoiding regressions, etc..)

> These two files are the same document. While the DOC filter can import the
> Cyrillic text correctly, the RTF one cannot.

CONFIRMED: Cyrillic text in the RTF appears as "Ðóññêèé òåêñò."

Status -> NEW

(Urmas: I assume the RTF file opens correctly in Word? i.e. this isn't just a limitation of the RTF format...)
Comment 2 Robinson Tryon (qubit) 2015-12-10 01:08:15 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-01-03 19:39:43 UTC Comment hidden (obsolete)
Comment 4 vihsa 2017-06-01 11:06:39 UTC
reproducible
Version: 5.5.0.0.alpha0+
Build ID: ec79f3453471ee9b6ae32e71ff16ea99d9b7751c
TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: master, Time: 2017-05-28 22:44:13
Comment 5 QA Administrators 2018-10-06 02:51:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug